GNU Radio 2.x: gr_select_handler Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_select_handler Class Reference

`#include <gr_select_handler.h>`

List of all members.

## Detailed Description

Abstract handler for select based notification.

See also:
  gr_dispatcher

## Public Member Functions
virtual | ~gr_select_handler ()
int | fd () const
int | file_descriptor () const
virtual void | handle_read ()=0
| Called when file_descriptor is readable.
virtual void | handle_write ()=0
| Called when file_descriptor is writable.
virtual bool | readable ()
virtual bool | writable ()
## Protected Member Functions
| gr_select_handler (int file_descriptor)

## Constructor & Destructor Documentation

gr_select_handler::gr_select_handler | ( | int | file_descriptor | ) | `[protected]`

gr_select_handler::~gr_select_handler | ( |  | ) | `[virtual]`

## Member Function Documentation

int gr_select_handler::fd | ( |  | ) | const`[inline]`

int gr_select_handler::file_descriptor | ( |  | ) | const`[inline]`

virtual void gr_select_handler::handle_read | ( |  | ) | `[pure virtual]`

| Called when file_descriptor is readable. Called when the dispatcher detects that file_descriptor can be read without blocking.

virtual void gr_select_handler::handle_write | ( |  | ) | `[pure virtual]`

| Called when file_descriptor is writable. Called when dispatcher detects that file descriptor can be written without blocking.

virtual bool gr_select_handler::readable | ( |  | ) | `[inline, virtual]`

| Called each time around the dispatcher loop to determine whether this handler's file descriptor should be added to the list on which read events can occur. The default method returns true, indicating that by default, all handlers are interested in read events.

virtual bool gr_select_handler::writable | ( |  | ) | `[inline, virtual]`

| Called each time around the dispatcher loop to determine whether this handler's file descriptor should be added to the list on which write events can occur. The default method returns true, indicating that by default, all handlers are interested in write events.

The documentation for this class was generated from the following files:

- gr_select_handler.h
- gr_select_handler.cc